/*
 * mtk - Maths Toolkit for X11
 *
 * Copyright 1994-1997   andrewr@chiark.greenend.org.uk (Andrew Ross)
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ********/

#ifndef ICONBAR_H_
#define ICONBAR_H_
/* Header file for IconBar window class */

#include <qpushbt.h>
#include <qbttngrp.h>
#include <qlist.h>

class IconBar : public QButtonGroup
{
  Q_OBJECT
 public:
  IconBar(QWidget * = NULL, const char * = NULL);
  ~IconBar();

 private:
  QList<QPushButton> buttons;
};

#define ENTER_BUTTON 1
#define EDIT_BUTTON 2
#define DELETE_BUTTON 3
#define TIDY_BUTTON 4
#define EVALUATE_BUTTON 5
#define INTEGRATE_BUTTON 6
#define ROOT_BUTTON 7
#define DIFF_BUTTON 8
#define POWER_BUTTON 9
#define ODE_BUTTON 10
#define GRAPH_BUTTON 11


#endif /* ICONBAR_H_ */
